/*
 * Created on Apr 13, 2004
 *
 * To change the template for this generated file go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
package contactlist.actions;

import java.util.ResourceBundle;

import org.apache.commons.logging.Log;
import org.apache.commons.logging.LogFactory;
import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.PortletSession;
import org.apache.jetspeed.portlet.User;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;

import com.ibm.wps.struts.action.StrutsAction;

import contactlist.struts.persistence.ContactListBroker;
import contactlist.struts.persistence.ContactListDBBroker;
import contactlist.struts.persistence.ContactListMemBroker;
import contactlist.struts.utilities.AIMMessageException;
import contactlist.struts.utilities.Constants;

/**
 * @author wsdemo
 *
 * To change the template for this generated type comment go to
 * Window&gt;Preferences&gt;Java&gt;Code Generation&gt;Code and Comments
 */
public abstract class AbstractAction
	extends StrutsAction
	implements Constants {
		
	//  Logger and Persistence broker
	protected Log log = null;
	protected ContactListBroker broker = null;
	protected ResourceBundle bundle = null;
	
	public ActionForward execute(ActionMapping mapping,
		ActionForm form,
		PortletRequest request)
		throws Exception {
		
		try {
		
			// Initialisations
			log = LogFactory.getLog("contactlist.actions");
			bundle = ResourceBundle.getBundle(RESOURCE, request.getLocale());
		
			// Initialize the persistence broker
			broker = ContactListBroker.getInstance();
			if (broker == null) {
				String persistToDB = getServlet().getInitParameter(DB);
				String datasource = getServlet().getInitParameter(DATASOURCE);
				if (TRUE.equalsIgnoreCase(persistToDB))
					ContactListDBBroker.initialize(datasource);
				else
					ContactListMemBroker.initialize();
				broker = ContactListBroker.getInstance();
				broker.populate();
				if (log.isDebugEnabled())
					log.debug("Broker initialized: "+broker);
			}

			// Check for existing session with logged-in user.
			//HttpSession session = request.getSession();
			PortletSession session = (PortletSession) request.getSession();             
			PortletRequest portletRequest = (PortletRequest) request;
			User user = portletRequest.getUser();

			if (session==null || user==null)
				throw new AIMMessageException(bundle.getString(UNAUTHENTICATED));
	
			// Invoke the action subclass performAction method
			return performAction(mapping, form, user, request);
			
		}	
		catch (Exception e) {
			PortletSession session =  (PortletSession) request.getSession(); 
			session.setAttribute(EXCEPTION,e);
			return (mapping.findForward("exception"));
		}
	
	}
	
	/* (non-Javadoc)
	 * @see org.apache.struts.action.Action#execute(org.apache.struts.action.ActionMapping, org.apache.struts.action.ActionForm, javax.servlet.http.HttpServletRequest, javax.servlet.http.HttpServletResponse)
	 */

	public abstract ActionForward performAction(ActionMapping mapping, ActionForm form, 
		User user, PortletRequest request)
		throws Exception;



}
