package contactlist.actions;

import org.apache.jetspeed.portlet.PortletRequest;
import org.apache.jetspeed.portlet.User;
import org.apache.struts.action.ActionError;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionForward;
import org.apache.struts.action.ActionMapping;
import contactlist.forms.Contact;

/**
 * @version 	1.0
 * @author
 */
public class LoadContactAction extends AbstractAction {

	public ActionForward performAction(
		ActionMapping mapping,
		ActionForm form,
		User user,
		PortletRequest request)
		throws Exception {

		ActionErrors errors = new ActionErrors();
		ActionForward forward = new ActionForward(); // return value
		Contact contact = (Contact) form;

		try {

			//Tracing
			if (log.isDebugEnabled())
				log.debug("ModifyAction entered");

			//  Set the contact form values and display
			//  the edit contact page. 
			updateForm(contact, user.getUserID());
		} catch (Exception e) {

			// Report the error using the appropriate name and ID.
			errors.add("name", new ActionError("id"));

		}

		// If a message is required, save the specified key(s)
		// into the request for use by the <struts:errors> tag.

		if (!errors.isEmpty()) {
		}
		// Write logic determining how the user should be forwarded.
		//forward = mapping.findForward("success");

		// Finish with
		//return (forward);
		return (mapping.findForward(DETAIL_VIEW_PAGE));
	}

	public void updateForm(Contact contactForm, String userid)
		throws Exception {

		String oid = contactForm.getSelectedContact();
		Contact contact = broker.getContact(userid, oid);

		contactForm.setOwner(contact.getOwner());
		contactForm.setOid(contact.getOid());
		contactForm.setFirstName(contact.getFirstName());
		contactForm.setLastName(contact.getLastName());
		contactForm.setEmail(contact.getEmail());
		contactForm.setTitle(contact.getTitle());
		contactForm.setCompany(contact.getCompany());
		contactForm.setBusinessPhone(contact.getBusinessPhone());
		contactForm.setMobilePhone(contact.getMobilePhone());
		contactForm.setFaxPhone(contact.getFaxPhone());
		contactForm.setWeb(contact.getWeb());
		contactForm.setAddress(contact.getAddress());
		contactForm.setCity(contact.getCity());
		contactForm.setState(contact.getState());
		contactForm.setZip(contact.getZip());
		contactForm.setCountry(contact.getCountry());

	}
}
