package contactlist.forms;

import javax.servlet.http.HttpServletRequest;
import org.apache.struts.action.ActionErrors;
import org.apache.struts.action.ActionForm;
import org.apache.struts.action.ActionMapping;

/**
 * Form bean for a Struts application.
 * @version 	1.0
 * @author
 */
public class Contact extends ActionForm {

	protected String owner = "";
	protected String oid = "";
	protected String firstName = "";
	protected String lastName = "";
	protected String email = "";
	protected String title = "";
	protected String company = "";
	protected String businessPhone = "";
	protected String mobilePhone = "";
	protected String faxPhone = "";
	protected String web = "";
	protected String address = "";
	protected String city = "";
	protected String state = "";
	protected String zip = "";
	protected String country = "";
	
	//  Control fields
	private String actionFlag = null;
	private String selectedContact = null;
	
	
	/**
	 * Employee constructor comment.
	 */
	public Contact() {
		super();
	}
	
	
	/**
	 * Gets the company
	 * @return Returns a String
	 */
	public String getCompany() {
		if (company == null)
			return "";
		return company;
	}	
	/**
	 * Sets the company
	 * @param company The company to set
	 */
	public void setCompany(String company) {
		this.company = company;
	}
	/**
	 * Gets the email
	 * @return Returns a String
	 */
	public String getEmail() {
		if (email == null)
			return "";
		return email;
	}
	/**
	 * Sets the email
	 * @param email The email to set
	 */
	public void setEmail(String email) {
		this.email = email;
	}
	/**
	 * Gets the oid
	 * @return Returns a String
	 */
	public String getOid() {
		return oid;
	}
	/**
	 * Sets the oid
	 * @param oid The oid to set
	 */
	public void setOid(String oid) {
		this.oid = oid;
	}
	/**
	 * Gets the owner
	 * @return Returns a String
	 */
	public String getOwner() {
		if (owner == null)
			return "";
		return owner;
	}
	/**
	 * Sets the owner
	 * @param owner The owner to set
	 */
	public void setOwner(String owner) {
		this.owner = owner;
	}
	/**
	 * Gets the mobilePhone
	 * @return Returns a String
	 */
	public String getMobilePhone() {
		if (mobilePhone == null)
			return "";
		return mobilePhone;
	}
	/**
	 * Sets the mobilePhone
	 * @param mobilePhone The mobilePhone to set
	 */
	public void setMobilePhone(String mobilePhone) {
		this.mobilePhone = mobilePhone;
	}
	/**
	 * Gets the businessPhone
	 * @return Returns a String
	 */
	public String getBusinessPhone() {
		if (businessPhone == null)
			return "";
		return businessPhone;
	}
	/**
	 * Sets the businessPhone
	 * @param businessPhone The businessPhone to set
	 */
	public void setBusinessPhone(String businessPhone) {
		this.businessPhone = businessPhone;
	}
	/**
	 * Gets the address1
	 * @return Returns a String
	 */
	public String getAddress() {
		if (address == null)
			return "";
		return address;
	}
	/**
	 * Sets the address1
	 * @param address1 The address1 to set
	 */
	public void setAddress(String address1) {
		this.address = address1;
	}
	/**
	 * Gets the address2
	 * @return Returns a String
	 */

	/**
	 * Gets the city
	 * @return Returns a String
	 */
	public String getCity() {
		if (city == null)
			return "";
		return city;
	}
	/**
	 * Sets the city
	 * @param city The city to set
	 */
	public void setCity(String city) {
		this.city = city;
	}
	/**
	 * Gets the country
	 * @return Returns a String
	 */
	public String getCountry() {
		if (country == null)
			return "";
		return country;
	}
	/**
	 * Sets the country
	 * @param country The country to set
	 */
	public void setCountry(String country) {
		this.country = country;
	}
	/**
	 * Gets the faxPhone
	 * @return Returns a String
	 */
	public String getFaxPhone() {
		if (faxPhone == null)
			return "";
		return faxPhone;
	}
	/**
	 * Sets the faxPhone
	 * @param faxPhone The faxPhone to set
	 */
	public void setFaxPhone(String faxPhone) {
		this.faxPhone = faxPhone;
	}
	/**
	 * Gets the firstName
	 * @return Returns a String
	 */
	public String getFirstName() {
		if (firstName == null)
			return "";
		return firstName;
	}
	/**
	 * Sets the firstName
	 * @param firstName The firstName to set
	 */
	public void setFirstName(String firstName) {
		this.firstName = firstName;
	}
	/**
	 * Gets the lastName
	 * @return Returns a String
	 */
	public String getLastName() {
		if (lastName == null)
			return "";
		return lastName;
	}
	/**
	 * Sets the lastName
	 * @param lastName The lastName to set
	 */
	public void setLastName(String lastName) {
		this.lastName = lastName;
	}
	/**
	 * Gets the state
	 * @return Returns a String
	 */
	public String getState() {
		if (state == null)
			return "";
		return state;
	}
	/**
	 * Sets the state
	 * @param state The state to set
	 */
	public void setState(String state) {
		this.state = state;
	}
	/**
	 * Gets the web
	 * @return Returns a String
	 */
	public String getWeb() {
		if (web == null)
			return "";
		return web;
	}
	/**
	 * Sets the web
	 * @param web The web to set
	 */
	public void setWeb(String web) {
		this.web = web;
	}
	/**
	 * Gets the zip
	 * @return Returns a String
	 */
	public String getZip() {
		if (zip == null)
			return "";
		return zip;
	}
	/**
	 * Sets the zip
	 * @param zip The zip to set
	 */
	public void setZip(String zip) {
		this.zip = zip;
	}
	/**
	 * Gets the title
	 * @return Returns a String
	 */
	public String getTitle() {
		if (title == null)
			return "";
		return title;
	}
	/**
	 * Sets the title
	 * @param title The title to set
	 */
	public void setTitle(String title) {
		this.title = title;
	}

	/**
	 * Returns the selectedContact.
	 * @return String
	 */
	public String getSelectedContact() {
		return selectedContact;
	}

	/**
	 * Sets the selectedContact.
	 * @param selectedContact The selectedContact to set
	 */
	public void setSelectedContact(String selectedContact) {
		this.selectedContact = selectedContact;
	}

	/**
	 * Get the string representation of this class
	 */
	public String toString() {
		return ("First name: "+getFirstName()+", "+
				 "Last name: "+getLastName()+", "+
				 "Company: "+getCompany()+", "+
				 "Email: "+getEmail()+", "+
				 "Mobile Phone: "+getMobilePhone()+", "+
				 "Business Phone: "+getBusinessPhone()+"...");
	}

	/**
	 * Returns the actionFlag.
	 * @return String
	 */
	public String getActionFlag() {
		return actionFlag;
	}

	/**
	 * Sets the actionFlag.
	 * @param actionFlag The actionFlag to set
	 */
	public void setActionFlag(String actionFlag) {
		this.actionFlag = actionFlag;
	}

	public void reset(ActionMapping mapping, HttpServletRequest request) {

		// Reset field values here.

	}

	public ActionErrors validate(
		ActionMapping mapping,
		HttpServletRequest request) {

		ActionErrors errors = new ActionErrors();
		// Validate the fields in your form, adding
		// adding each error to this.errors as found, e.g.

		// if ((field == null) || (field.length() == 0)) {
		//   errors.add("field", new org.apache.struts.action.ActionError("error.field.required"));
		// }
		return errors;

	}
}
