
/*==================================================================
 * Licensed Materials - Property of IBM
 * (c) Copyright IBM Corp. 2003.  All rights reserved.
 *
 * US Government Users Restricted Rights - Use, duplication or
 * disclosure restricted by GSA ADP Schedule Contract with IBM
 * Corp.
 *
 * DISCLAIMER OF WARRANTIES.  The following [enclosed] code is
 * sample code created by IBM Corporation.  This sample code is
 * not part of any standard or IBM product and is provided to you
 * solely for the purpose of assisting you in the development of
 * your applications.  The code is provided "AS IS", without
 * warranty of any kind.  IBM shall not be liable for any damages
 * arising out of your use of the sample code, even if they have
 * been advised of the possibility of such damages.
 *===============================================================*/

package contactlist.struts.utilities;

import java.io.PrintWriter;

/**
 * An AIMException that wraps another (`underlying') exception.
 * 
 * Creation date: (11/30/2003 10:00:00 PM)
 * @author: Tim Hanis
 */
public class AIMWrapperException extends AIMException {

	protected Exception wrappedException = null;

	/**
	 * AIMWrapperException constructor comment.
	 */
	private AIMWrapperException() {
		super();
	}

	/**
	 * AIMWrapperException constructor comment.
	 * @param message java.lang.String
	 * @param e Exception
	 */
	public AIMWrapperException(String msg, Exception e) {
		super(msg);
		wrappedException = e;
	}

	/**
	 * Return the detail message of the wrapped exception
	 * @return java.lang.String 
	 */
	public String getWrappedMessage() {
		return wrappedException.getMessage();
	}

	/**
	 * Gets the wrappedException property (java.lang.Exception) value.
	 * @return The wrapped Exception
	 */
	public Exception getWrappedException() {
		return wrappedException;
	}

	/**
	 * Print the stack backtrace of the underlying exception.
	 * @param out java.io.PrintWriter
	 */
	public void printStackTrace(final PrintWriter out) {
		wrappedException.printStackTrace(out);
	}

}