package com.ibm.websphere.samples.bank.ejb;
import com.ibm.websphere.samples.bank.exception.InsufficientFundsException;
/**
 * Remote interface for Enterprise Bean: Account
 */
public interface Account extends javax.ejb.EJBObject {
	/**
	 * Get accessor for persistent attribute: accountType
	 */
	public int getAccountType() throws java.rmi.RemoteException;
	/**
	 * Set accessor for persistent attribute: accountType
	 */
	public void setAccountType(int newAccountType)
		throws java.rmi.RemoteException;
	/**
	 * Get accessor for persistent attribute: balance
	 */
	public float getBalance() throws java.rmi.RemoteException;
	/**
	 * Set accessor for persistent attribute: balance
	 */
	public void setBalance(float newBalance) throws java.rmi.RemoteException;
	/**
	 * Adds the specified amount to the account balance and returns the new balance.
	 * @return float The new balance in the account after the method executes.
	 * @param amount float The amount to add to the account balance.
	 */
	public float add(float amount) throws java.rmi.RemoteException;
	/**
	 * Subtracts the specified amount from the account balance and returns the new balance.
	 * @return float The new balance in the account after the method executes.
	 * @param amount float The amount to subtract from the account balance.
	 * @exception com.ibm..bank.ejb.InsufficientFundsException The account contained 
	 * less than the amount requested for subtraction.
	 */
	public float subtract(float amount)
		throws InsufficientFundsException,
		java.rmi.RemoteException;
	/**
	 * Get accessor for persistent attribute: accountNumber
	 */
	public int getAccountNumber() throws java.rmi.RemoteException;
}